Initrd (initial ramdisk) and actual volumes serve different purposes. An initrd is a file system loaded into memory during the boot process of the instance. Any new files created as well as any modifications made to files in the initrd are lost when the instance is stopped. In contrast, a volume is a persistent storage device that keeps data across restarts. In addition, it can be initialized with a set of files with one instance and then be detached and attached to a another one.
List Volumes
List volumes.
query Parameters
uuidThe UUID of the resource.
nameThe name of the resource.
detailscountfromorderThe sort order used by list endpoints.
sortbyThe sort field used by list endpoints.
tagsList Volumes › Request Body optional
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
List Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Create Volume
Create a new volume.
Create Volume › Request Body
nameThe name of the resource. If not provided, a random name is generated. The name must be unique within the context of your account.
nodeThe name of the node to place the resource on. If not provided, the platform picks one. Only accepted on metros that span multiple nodes.
size_mbhost_pathAn identifier for a resource — either a name or a UUID, but not both.
quota_policyQuota policy for a volume.
filesystemtagsuidgidaccess_modeVolumeAccessMode defines the access mode of a volume, which controls sharing behavior and caching strategy.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: size_mb | |
| type = object · requires: host_path | |
| type = object · requires: template |
size_mbnameThe name of the resource. If not provided, a random name is generated. The name must be unique within the context of your account.
nodeThe name of the node to place the resource on. If not provided, the platform picks one. Only accepted on metros that span multiple nodes.
host_pathAn identifier for a resource — either a name or a UUID, but not both.
quota_policyQuota policy for a volume.
filesystemtagsuidgidaccess_modeVolumeAccessMode defines the access mode of a volume, which controls sharing behavior and caching strategy.
Create Volume › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Volumes
Update volumes.
Update Volumes › Request Body
propThe property to modify.
opThe operation to perform.
uuidThe UUID of the resource.
nameThe name of the resource.
idA client-provided identifier for tracking this operation in the response.
valueThe value for the update operation. The type depends on the property and operation:
- For "image": string
- For "args": string or array of strings
- For "env": object (for SET/ADD) or string/array of strings (for DEL)
- For "memory_mb": integer
- For "vcpus": integer
- For "scale_to_zero": object with cooldown_time_ms, policy, and stateful fields
- For "tags": array of strings
- For "delete_lock": boolean
- For "schedules": array of schedule objects (with name, when, action, and optional args fields). Use action "exec" together with args to execute a command at the scheduled time.
- For "autokill": object with time_ms and num_requests fields
- For "hostname": string (valid DNS label)
- For "roms": array of ROM objects (with name and image fields) for SET/ADD, or array of ROM names for DEL
- For "dependencies": array of instance identifiers (name or UUID)
- For "sched_priority": SchedPriority enum value ("normal", "medium", "high", "admin")
Update Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Volumes
Delete volumes by ID(s).
Delete Volumes › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
Delete Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Attach Volumes
Attach volumes to instances.
Attach Volumes › Request Body
UUID or name of the instance to attach the volume to.
atPath of the mountpoint.
The path must be absolute, not contain . and .. components, and not
contain colons (:). The path must point to an empty directory. If the
directory does not exist, it is created.
uuidThe UUID of the resource.
nameThe name of the resource.
readonlyWhether the volume should be mounted read-only.
Attach Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Clone Volumes
Clone volumes.
Clone Volumes › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
vol_nameThe name of the new cloned volume. If not provided, a random name
of the form vol-X is generated for you, where X is a 5 character
long random alphanumeric suffix.
quota_policyThe quota policy for the new cloned volume. If not provided, the quota policy of the source volume is used.
tagsA list of tags to assign to the new cloned volume.
access_modeVolumeAccessMode defines the access mode of a volume, which controls sharing behavior and caching strategy.
Clone Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Detach Volumes
Detach volumes from instances.
Detach Volumes › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
UUID or name of the instance to detach the volume from. If not specified, the volume is detached from all instances.
Detach Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
List Template Volumes
List template volumes.
query Parameters
uuidThe UUID of the resource.
nameThe name of the resource.
detailscountfromorderThe sort order used by list endpoints.
sortbyThe sort field used by list endpoints.
tagsList Template Volumes › Request Body optional
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
List Template Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Create Template Volume
Create a template volume.
Create Template Volume › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
Create Template Volume › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Template Volumes
Update template volumes.
Update Template Volumes › Request Body
propThe property to modify.
opThe operation to perform.
uuidThe UUID of the resource.
nameThe name of the resource.
idA client-provided identifier for tracking this operation in the response.
valueThe value for the update operation. The type depends on the property and operation:
- For "image": string
- For "args": string or array of strings
- For "env": object (for SET/ADD) or string/array of strings (for DEL)
- For "memory_mb": integer
- For "vcpus": integer
- For "scale_to_zero": object with cooldown_time_ms, policy, and stateful fields
- For "tags": array of strings
- For "delete_lock": boolean
- For "schedules": array of schedule objects (with name, when, action, and optional args fields). Use action "exec" together with args to execute a command at the scheduled time.
- For "autokill": object with time_ms and num_requests fields
- For "hostname": string (valid DNS label)
- For "roms": array of ROM objects (with name and image fields) for SET/ADD, or array of ROM names for DEL
- For "dependencies": array of instance identifiers (name or UUID)
- For "sched_priority": SchedPriority enum value ("normal", "medium", "high", "admin")
Update Template Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Template Volumes
Delete template volumes by ID(s).
Delete Template Volumes › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
Delete Template Volumes › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Get Template Volume by UUID
Get a template volume by UUID.
path Parameters
uuidquery Parameters
detailsGet Template Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Template Volume by UUID
Update a template volume by UUID.
path Parameters
uuidUpdate Template Volume by UUID › Request Body
propThe property to modify.
opThe operation to perform.
idA client-provided identifier for tracking this operation in the response.
valueThe value for the update operation. The type depends on the property and operation:
- For "image": string
- For "args": string or array of strings
- For "env": object (for SET/ADD) or string/array of strings (for DEL)
- For "memory_mb": integer
- For "vcpus": integer
- For "scale_to_zero": object with cooldown_time_ms, policy, and stateful fields
- For "tags": array of strings
- For "delete_lock": boolean
- For "schedules": array of schedule objects (with name, when, action, and optional args fields). Use action "exec" together with args to execute a command at the scheduled time.
- For "autokill": object with time_ms and num_requests fields
- For "hostname": string (valid DNS label)
- For "roms": array of ROM objects (with name and image fields) for SET/ADD, or array of ROM names for DEL
- For "dependencies": array of instance identifiers (name or UUID)
- For "sched_priority": SchedPriority enum value ("normal", "medium", "high", "admin")
Update Template Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Template Volume by UUID
Delete a template volume by UUID.
path Parameters
uuidDelete Template Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Get Volume by UUID
Get a volume by UUID.
path Parameters
uuidquery Parameters
detailsGet Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Volume by UUID
Update a volume by UUID.
path Parameters
uuidUpdate Volume by UUID › Request Body
propThe property to modify.
opThe operation to perform.
idA client-provided identifier for tracking this operation in the response.
valueThe value for the update operation. The type depends on the property and operation:
- For "image": string
- For "args": string or array of strings
- For "env": object (for SET/ADD) or string/array of strings (for DEL)
- For "memory_mb": integer
- For "vcpus": integer
- For "scale_to_zero": object with cooldown_time_ms, policy, and stateful fields
- For "tags": array of strings
- For "delete_lock": boolean
- For "schedules": array of schedule objects (with name, when, action, and optional args fields). Use action "exec" together with args to execute a command at the scheduled time.
- For "autokill": object with time_ms and num_requests fields
- For "hostname": string (valid DNS label)
- For "roms": array of ROM objects (with name and image fields) for SET/ADD, or array of ROM names for DEL
- For "dependencies": array of instance identifiers (name or UUID)
- For "sched_priority": SchedPriority enum value ("normal", "medium", "high", "admin")
Update Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Volume by UUID
Delete a volume by UUID.
path Parameters
uuidDelete Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Attach Volume by UUID
Attach a volume by UUID.
path Parameters
uuidAttach Volume by UUID › Request Body
UUID or name of the instance to attach the volume to.
atPath of the mountpoint.
The path must be absolute, not contain . and .. components, and not
contain colons (:). The path must point to an empty directory. If the
directory does not exist, it is created.
readonlyWhether the volume should be mounted read-only.
Attach Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Clone Volume by UUID
Clone a volume by UUID.
path Parameters
uuidClone Volume by UUID › Request Body
vol_nameThe name of the new cloned volume. If not provided, a random name
of the form vol-X is generated for you, where X is a 5 character
long random alphanumeric suffix.
quota_policyThe quota policy for the new cloned volume. If not provided, the quota policy of the source volume is used.
tagsA list of tags to assign to the new cloned volume.
access_modeVolumeAccessMode defines the access mode of a volume, which controls sharing behavior and caching strategy.
Clone Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Detach Volume by UUID
Detach a volume by UUID.
path Parameters
uuidDetach Volume by UUID › Request Body
UUID or name of the instance to detach the volume from. If not specified, the volume is detached from all instances.
Detach Volume by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.